Subject: RE: [Sigtran] start of work on an M2PA IG

From: "Ong, Lyndon" <[email-masked]>
Date: Tue, 10 Jan 2006 20:16:53 -0500

I will raise the subject with our A-Ds to get further
guidance.  

BTW, on Processor Outage, Jeff did identify this as a
major area needing clarification.

Cheers,

Lyndon 

-----Original Message-----
From: Brian F. G. Bidulock [mailto:[email-masked]] 
Sent: Tuesday, January 10, 2006 2:04 PM
To: Michael Tuexen
Cc: Ong, Lyndon; [email-masked]
Subject: Re: [Sigtran] start of work on an M2PA IG

Michael,

Michael Tuexen wrote:                                              (Tue,
10 Jan 2006 22:00:33)
> Dear all,
> 
> see my comment in-line.
> 
> Best regards
> Michael
> 
> On Jan 10, 2006, at 21:32 Uhr, Brian F. G. Bidulock wrote:
> 
> > Lyndon,
> >
> > Good.  Perhaps a good start would be to add a section providing some

> > clarifying remarks on PO mechanism (SN syncrhonization and when data

> > is
> > sent) as it was brought up on the list several times and only a 
> > slight modification made to the text of the RFC before it was
published.
> >
> > I would like to see comments on draft-bidulock-sigtran-m2pa-test-06
> > so that the document can be finalized and published as an 
> > INFORMATIONAL RFC.
> Are test suites in the scope of the WG or the IETF?

The IETF has released INFORMATIONAL testing RFCs (even conformance
tests) for other protocols and algorithms.  Some that might be of
interest are:

  RFC 2202, 2268, 2398, 3158.

Perhaps the closest in intent and content is RFC 3158.  There many be
more recent examples.

But more so that a test specification (it is really just a suggestion to
implementers and for standards bodies concerned with such things to
accept, modify or reject), the test document illustrates some specific
behaviours of the protocol not addressed in such detail in the
specification, in terms well known to testers of MTP Link
implementations.  As such, it is in fitting with the purpose of
Informational RFCs ("not representing an Internet community consensus or
recommendation").

We could probably use some BCPs for the UAs rather than mucking with the
protocols with I-Gs ad infinitum.

--brian

--
Brian F. G. Bidulock
[email-masked]
http://www.openss7.org/

_______________________________________________
Sigtran mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/sigtran